<HTML>
<HEAD>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
   <META NAME="GENERATOR" CONTENT="Mozilla/4.04 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
</HEAD>
<h1>Validation of LDAS database functionality</h1>
<BODY>
<p><b><font color='red'>The steps described below are to be executed under database user ldas.</b></font><p>
At times, the database software have to be upgraded to new versions or have
fixpaks applied, or the databases may have to be restored after a disk failure etc.<p>

Remember to configure the database manager and databases for LDAS system
as documented <a href='create.html'>Creation of an LDAS database: configuring for LDAS applications'</a>.
You can use the script <i><a href='../text/updatecfg.tcl'>updatecfg.tcl</a></i> in /ldas/doc/db2/doc/text
to update all the database configurations listed in the LDAS configuration file <i><b>/ldas_outgoing/metadataAPI/LDASdsnames.ini</b></i>.
<p>
The following list the tests to be done to verify the integrity of the LDAS database functionality 
after such changes. 
<p>

<ol>
<li>Check insertion of all tables - the <a href='../../../testing/metadata.html'>Database insertion test</a>
inserts into the test database you specified data for all ldas tables, extracts the
data inserted and validates the values are the same as the input ilwd data. This test should
complete without errors and performance should not be degraded under normal circumstances. </li><p>

<li>Check databse web page update - <a href='/ldas_outgoing/logs/LDASdatabase.html'>Database web pages</a>
should be updated accordingly with the insertions and that there are no errors in the file
<i>/ldas_outgoing/cntlmonAPI/db2utils.log</i>. </li><p>

<li>Submission of LDAS jobs - submit jobs like putMetaData, putStandAlone and dataPipelines that insert into the
database through  <a href='../../../userAPI/html/cmonClient-ldastest.html'> 
cmonClient test panel</a> to verify that data can be inserted.</li><p>

<li>Creation/Recreation of database through user ldas - using cmonClient utilities function 
you should be able to <a href='../../../userAPI/html/cmonClient-control.html#dbCreate'>
create or recreate a test database</a> without errors.</li><p>

<li>Run IBM DB2 utility <i><b>runstats</b></i> on each database to gather
database statistics to improve query performance. 
You use the script <i><a href='../text/runstats.tcl'>runstats.tcl</a></i> in /ldas/doc/db2/doc/text to update
a single database supplied as argument or 
all ldas databases listed in the LDAS configuration file <i><b>/ldas_outgoing/metadataAPI/LDASdsnames.ini</b></i>.
</ol>
<hr width=100%>
<address>Last modified June 28th, 2004<br>
<p>Suggestions or Comments? Please Contact&nbsp; <a href="mailto:mlei@ligo.caltech.edu">mlei@ligo.caltech.edu</a>
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
</body>
</BODY>
</HTML>
